package cc.smtweb.system.bpm.web.sys.base.billType;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-08-25 18:13:32
 * 实体【[单据类型](SYS_BILL_TYPE)】的Entity类
 */
@SwTable("SYS_BILL_TYPE")
public class BillType extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_BILL_TYPE";

    public BillType() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sbtp_id");
    }

    /**
     * 主键
     */
    public void setId(long sbtp_id) {
        put("sbtp_id", sbtp_id);
    }

    /**
     * 编码
     */
    public String getCode() {
        return getStr("sbtp_code");
    }

    /**
     * 编码
     */
    public void setCode(String sbtp_code) {
        put("sbtp_code", sbtp_code);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("sbtp_name");
    }

    /**
     * 名称
     */
    public void setName(String sbtp_name) {
        put("sbtp_name", sbtp_name);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("sbtp_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String sbtp_remark) {
        put("sbtp_remark", sbtp_remark);
    }
}
